#ifndef LOGTHREAD_H
#define LOGTHREAD_H

#include <QThread>
#include <QStringList>
#include <QDateTime>
#include <QFile>

class LogThread : public QThread
{
    Q_OBJECT
public:
    explicit LogThread(QObject *parent = 0);
    void appendLog(QString log);
    void appendDbgLog(QString log);
    void run();

signals:

public slots:

private:
    QStringList logList;
    QStringList dbgList;
};

#endif // LOGTHREAD_H
